CVE-2004-1455
CVSS5.1
发布时间 :2004-12-31 00:00:00
修订时间 :2016-10-17 22:54:43
NMCO    

[原文]Stack-based buffer overflow in Xine-lib-rc5 in xine-lib 1_rc5-r2 and earlier allows remote attackers to execute arbitrary code via crafted playlists that result in a long vcd:// URL.


[CNNVD]xine 'vcd'协议处理远程任意指令执行漏洞(CNNVD-200412-605)

        
        Xine是Linux系统下播放VCD/DVD的程序。
        Xine处理'vcd://'协议时缺少正确的边界缓冲区检查,远程攻击者可以利用这个漏洞以进程权限在系统上执行任意指令。
        攻击者可以构建在播放文件中嵌入特殊的'vcd://'协议的数据,当目标用户播放此文件时,可触发基于堆栈的缓冲区溢出,精心构建文件数据可能以进程权限在系统上执行任意指令。
        

- CVSS (基础分值)

CVSS分值: 5.1 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:xine:xine-lib:1_rc3c
cpe:/a:xine:xine-lib:1_rc3b
cpe:/a:xine:xine-lib:1_rc3a
cpe:/a:xine:xine-lib:1_rc5_r2
cpe:/a:xine:xine-lib:1_beta11
cpe:/a:xine:xine-lib:1_beta8
cpe:/a:xine:xine-lib:1_beta9
cpe:/a:xine:xine-lib:1_beta6
cpe:/a:xine:xine-lib:1_beta10
cpe:/a:xine:xine-lib:1_beta7
cpe:/a:xine:xine-lib:1_beta4
cpe:/a:xine:xine-lib:1_rc4
cpe:/a:xine:xine-lib:1_beta5
cpe:/a:xine:xine-lib:1_beta2
cpe:/a:xine:xine-lib:1_beta3
cpe:/a:xine:xine-lib:1_rc5
cpe:/a:xine:xine-lib:1_beta1
cpe:/a:xine:xine-lib:1_rc2

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1455
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1455
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-605
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=109284737628045&w=2
(UNKNOWN)  BUGTRAQ  20040817 Open Security Group Advisory #6
http://www.gentoo.org/security/en/glsa/glsa-200408-18.xml
(PATCH)  GENTOO  GLSA-200408-18
http://www.securityfocus.com/bid/10890
(PATCH)  BID  10890
http://xforce.iss.net/xforce/xfdb/16930
(UNKNOWN)  XF  xine-vcd-identifier-bo(16930)

- 漏洞信息

xine 'vcd'协议处理远程任意指令执行漏洞
中危 边界条件错误
2004-12-31 00:00:00 2005-10-20 00:00:00
远程  
        
        Xine是Linux系统下播放VCD/DVD的程序。
        Xine处理'vcd://'协议时缺少正确的边界缓冲区检查,远程攻击者可以利用这个漏洞以进程权限在系统上执行任意指令。
        攻击者可以构建在播放文件中嵌入特殊的'vcd://'协议的数据,当目标用户播放此文件时,可触发基于堆栈的缓冲区溢出,精心构建文件数据可能以进程权限在系统上执行任意指令。
        

- 公告与补丁

        厂商补丁:
        xine
        ----
        目前CVS已经修正此漏洞:
        
        http://sourceforge.net/mailarchive/forum.php?thread_id=5143955&forum_id=11923

- 漏洞信息

8409
Xine vcd: Input Source Remote Overflow
Remote / Network Access Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2004-08-08 2004-05-22
2004-08-08 Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站